#ifndef HASHES_H
#define HASHES_H

extern struct HashtableType StringTableType;
extern struct HashtableType LiteralToStringTableType;

size_t LiteralHash(void *data);
size_t StringHash(void *data);
void *LiteralCopy(void *data);
void *StringCopy(void *data);
void LiteralDelete(void *data);
void AtomDelete(void *data);
unsigned LiteralEqual(void *first, void *second);
unsigned StringEqual(void *first, void *second);

#endif
