#ifndef LETLITTOLITHASH_H
#define LETLITTOLITHASH_H

/*

    These are all things needed:

typedef size_t (*HashType)(void *data);
typedef void * (*CopyKeyType)(void *data);
typedef void * (*CopyDataType)(void *data);
typedef void (*DeleteKeyType)(void *data);
typedef void (*DeleteDataType)(void *data);
typedef unsigned (*EqualKeysType) (void *first, void *second);

*/

struct LetLit
{
  char letter;
  void * literal;
};

extern struct HashtableType LetLitToLitTableType;
extern struct HashtableType LetLitToStringTableType;

/* HashType */
size_t LetLitHash(void *data);
/* CopyKeyType */
void *LetLitCopy(void *data);
/* EqualKeysType */
unsigned LetLitEqual(void *first, void *second);

#endif
